extends Node2D

func createRandomPrimeraFila():
	var celdaPunto1x=0
	var celdaPunto1y=0
	var celdaPunto2x=64
	var celdaPunto2y=0
	var celdaPunto3x=64
	var celdaPunto3y=64
	var celdaPunto4x=0
	var celdaPunto4y=64
	
	for c in range(1, 11):
		print(c)
		var celda = Polygon2D.new()
		celda.name = "celda_"+str(c)
		celda.color = "#000000"
		celda.z_index = -1
		celda.set_polygon(PoolVector2Array([Vector2(celdaPunto1x,celdaPunto1y),Vector2(celdaPunto2x,celdaPunto2y),Vector2(celdaPunto3x,celdaPunto3y),Vector2(celdaPunto4x,celdaPunto4y)]))
		celdaPunto1x=celdaPunto1x+64
		celdaPunto1y=celdaPunto1y+0
		celdaPunto2x=celdaPunto2x+64
		celdaPunto2y=celdaPunto2y+0
		celdaPunto3x=celdaPunto3x+64
		celdaPunto3y=64
		celdaPunto4x=celdaPunto4x+64
		celdaPunto4y=64
		add_child(celda)


func createRandomSegundaFila():
	var celdaPunto1x=0
	var celdaPunto1y=64
	var celdaPunto2x=64
	var celdaPunto2y=64
	var celdaPunto3x=64
	var celdaPunto3y=128
	var celdaPunto4x=0
	var celdaPunto4y=128
	
	for c in range(11, 21):
		print(c)
		var celda = Polygon2D.new()
		celda.name = "celda_"+str(c)
		celda.color = "#000000"
		celda.z_index = -1
		celda.set_polygon(PoolVector2Array([Vector2(celdaPunto1x,celdaPunto1y),Vector2(celdaPunto2x,celdaPunto2y),Vector2(celdaPunto3x,celdaPunto3y),Vector2(celdaPunto4x,celdaPunto4y)]))
		celdaPunto1x=celdaPunto1x+64
		celdaPunto1y=celdaPunto1y+0
		celdaPunto2x=celdaPunto2x+64
		celdaPunto2y=celdaPunto2y+0
		celdaPunto3x=celdaPunto3x+64
		celdaPunto3y=128
		celdaPunto4x=celdaPunto4x+64
		celdaPunto4y=128
		add_child(celda)

func createRandomTerceraFila():
	var celdaPunto1x=0
	var celdaPunto1y=128
	var celdaPunto2x=128
	var celdaPunto2y=128
	var celdaPunto3x=128
	var celdaPunto3y=192
	var celdaPunto4x=0
	var celdaPunto4y=192
	
	for c in range(21, 31):
		print(c)
		var celda = Polygon2D.new()
		celda.name = "celda_"+str(c)
		celda.color = "#000000"
		celda.z_index = -1
		celda.set_polygon(PoolVector2Array([Vector2(celdaPunto1x,celdaPunto1y),Vector2(celdaPunto2x,celdaPunto2y),Vector2(celdaPunto3x,celdaPunto3y),Vector2(celdaPunto4x,celdaPunto4y)]))
		celdaPunto1x=celdaPunto1x+64
		celdaPunto1y=celdaPunto1y+0
		celdaPunto2x=celdaPunto2x+64
		celdaPunto2y=celdaPunto2y+0
		celdaPunto3x=celdaPunto3x+64
		celdaPunto3y=192
		celdaPunto4x=celdaPunto4x+64
		celdaPunto4y=192
		add_child(celda)

func createRandomCuartaFila():
	var celdaPunto1x=0
	var celdaPunto1y=192
	var celdaPunto2x=192
	var celdaPunto2y=192
	var celdaPunto3x=192
	var celdaPunto3y=256
	var celdaPunto4x=0
	var celdaPunto4y=256
	
	for c in range(31, 41):
		print(c)
		var celda = Polygon2D.new()
		celda.name = "celda_"+str(c)
		celda.color = "#000000"
		celda.z_index = -1
		celda.set_polygon(PoolVector2Array([Vector2(celdaPunto1x,celdaPunto1y),Vector2(celdaPunto2x,celdaPunto2y),Vector2(celdaPunto3x,celdaPunto3y),Vector2(celdaPunto4x,celdaPunto4y)]))
		celdaPunto1x=celdaPunto1x+64
		celdaPunto1y=celdaPunto1y+0
		celdaPunto2x=celdaPunto2x+64
		celdaPunto2y=celdaPunto2y+0
		celdaPunto3x=celdaPunto3x+64
		celdaPunto3y=256
		celdaPunto4x=celdaPunto4x+64
		celdaPunto4y=256
		add_child(celda)

func createRandomQuintaFila():
	var celdaPunto1x=0
	var celdaPunto1y=256
	var celdaPunto2x=256
	var celdaPunto2y=256
	var celdaPunto3x=256
	var celdaPunto3y=320
	var celdaPunto4x=0
	var celdaPunto4y=320
	
	for c in range(41, 51):
		print(c)
		var celda = Polygon2D.new()
		celda.name = "celda_"+str(c)
		celda.color = "#000000"
		celda.z_index = -1
		celda.set_polygon(PoolVector2Array([Vector2(celdaPunto1x,celdaPunto1y),Vector2(celdaPunto2x,celdaPunto2y),Vector2(celdaPunto3x,celdaPunto3y),Vector2(celdaPunto4x,celdaPunto4y)]))
		celdaPunto1x=celdaPunto1x+64
		celdaPunto1y=celdaPunto1y+0
		celdaPunto2x=celdaPunto2x+64
		celdaPunto2y=celdaPunto2y+0
		celdaPunto3x=celdaPunto3x+64
		celdaPunto3y=320
		celdaPunto4x=celdaPunto4x+64
		celdaPunto4y=320
		add_child(celda)

func createRandomSextaFila():
	var celdaPunto1x=0
	var celdaPunto1y=320
	var celdaPunto2x=320
	var celdaPunto2y=320
	var celdaPunto3x=320
	var celdaPunto3y=384
	var celdaPunto4x=0
	var celdaPunto4y=384
	
	for c in range(51, 61):
		print(c)
		var celda = Polygon2D.new()
		celda.name = "celda_"+str(c)
		celda.color = "#000000"
		celda.z_index = -1
		celda.set_polygon(PoolVector2Array([Vector2(celdaPunto1x,celdaPunto1y),Vector2(celdaPunto2x,celdaPunto2y),Vector2(celdaPunto3x,celdaPunto3y),Vector2(celdaPunto4x,celdaPunto4y)]))
		celdaPunto1x=celdaPunto1x+64
		celdaPunto1y=celdaPunto1y+0
		celdaPunto2x=celdaPunto2x+64
		celdaPunto2y=celdaPunto2y+0
		celdaPunto3x=celdaPunto3x+64
		celdaPunto3y=384
		celdaPunto4x=celdaPunto4x+64
		celdaPunto4y=384
		add_child(celda)

func createRandomSeptimaFila():
	var celdaPunto1x=0
	var celdaPunto1y=384
	var celdaPunto2x=384
	var celdaPunto2y=384
	var celdaPunto3x=384
	var celdaPunto3y=448
	var celdaPunto4x=0
	var celdaPunto4y=448
	
	for c in range(61, 71):
		print(c)
		var celda = Polygon2D.new()
		celda.name = "celda_"+str(c)
		celda.color = "#000000"
		celda.z_index = -1
		celda.set_polygon(PoolVector2Array([Vector2(celdaPunto1x,celdaPunto1y),Vector2(celdaPunto2x,celdaPunto2y),Vector2(celdaPunto3x,celdaPunto3y),Vector2(celdaPunto4x,celdaPunto4y)]))
		celdaPunto1x=celdaPunto1x+64
		celdaPunto1y=celdaPunto1y+0
		celdaPunto2x=celdaPunto2x+64
		celdaPunto2y=celdaPunto2y+0
		celdaPunto3x=celdaPunto3x+64
		celdaPunto3y=448
		celdaPunto4x=celdaPunto4x+64
		celdaPunto4y=448
		add_child(celda)

func createRandomOctabaFila():
	var celdaPunto1x=0
	var celdaPunto1y=448
	var celdaPunto2x=448
	var celdaPunto2y=448
	var celdaPunto3x=448
	var celdaPunto3y=512
	var celdaPunto4x=0
	var celdaPunto4y=512
	
	for c in range(71, 81):
		print(c)
		var celda = Polygon2D.new()
		celda.name = "celda_"+str(c)
		celda.color = "#000000"
		celda.z_index = -1
		celda.set_polygon(PoolVector2Array([Vector2(celdaPunto1x,celdaPunto1y),Vector2(celdaPunto2x,celdaPunto2y),Vector2(celdaPunto3x,celdaPunto3y),Vector2(celdaPunto4x,celdaPunto4y)]))
		celdaPunto1x=celdaPunto1x+64
		celdaPunto1y=celdaPunto1y+0
		celdaPunto2x=celdaPunto2x+64
		celdaPunto2y=celdaPunto2y+0
		celdaPunto3x=celdaPunto3x+64
		celdaPunto3y=512
		celdaPunto4x=celdaPunto4x+64
		celdaPunto4y=512
		add_child(celda)

func _ready():
	createRandomPrimeraFila()
	createRandomSegundaFila()
	createRandomTerceraFila()
	createRandomCuartaFila()
	createRandomQuintaFila()
	createRandomSextaFila()
	createRandomSeptimaFila()
	createRandomOctabaFila()
